<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>ReorderingExtent (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ReorderingExtent (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/extent/reorder/MultiStageReorder.PlacementPriority.html" title="enum in com.sk89q.worldedit.extent.reorder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extent/reorder/ReorderingExtent.html" target="_top">Frames</a></li>
<li><a href="ReorderingExtent.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.extent.reorder</div>
<h2 title="Interface ReorderingExtent" class="title">Interface ReorderingExtent</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>, <a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent">InputExtent</a>, <a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/extent/reorder/MultiStageReorder.html" title="class in com.sk89q.worldedit.extent.reorder">MultiStageReorder</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">ReorderingExtent</span>
extends <a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a></pre>
<div class="block">An interface for <a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent"><code>Extent</code></a>s that are meant to reorder changes so
 that they are more successful.

 <p>For example, torches in Minecraft need to be placed on a block. A smart
 reordering implementation might place the torch after the block has
 been placed.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.extent.Extent">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.extent.<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html#createEntity-com.sk89q.worldedit.util.Location-com.sk89q.worldedit.entity.BaseEntity-">createEntity</a>, <a href="../../../../../com/sk89q/worldedit/extent/Extent.html#getEntities--">getEntities</a>, <a href="../../../../../com/sk89q/worldedit/extent/Extent.html#getEntities-com.sk89q.worldedit.regions.Region-">getEntities</a>, <a href="../../../../../com/sk89q/worldedit/extent/Extent.html#getMaximumPoint--">getMaximumPoint</a>, <a href="../../../../../com/sk89q/worldedit/extent/Extent.html#getMinimumPoint--">getMinimumPoint</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.extent.InputExtent">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.extent.<a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent">InputExtent</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html#getBiome-com.sk89q.worldedit.math.BlockVector2-">getBiome</a>, <a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html#getBlock-com.sk89q.worldedit.math.BlockVector3-">getBlock</a>, <a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html#getFullBlock-com.sk89q.worldedit.math.BlockVector3-">getFullBlock</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.extent.OutputExtent">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.extent.<a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html#commit--">commit</a>, <a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBiome-com.sk89q.worldedit.math.BlockVector2-com.sk89q.worldedit.world.biome.BiomeType-">setBiome</a>, <a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBlock-com.sk89q.worldedit.math.BlockVector3-T-">setBlock</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/extent/reorder/MultiStageReorder.PlacementPriority.html" title="enum in com.sk89q.worldedit.extent.reorder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extent/reorder/ReorderingExtent.html" target="_top">Frames</a></li>
<li><a href="ReorderingExtent.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
